curl -X POST "https://api.nevatal.com/api/v1/appointments/apt_xyz789/cancel" \
-H "Authorization: Bearer nvtl_your_api_key" \
-H "Content-Type: application/json" \
-d '{ "reason": "Patient requested reschedule" }'
{
"id": "apt_xyz789",
"status": "canceled",
"canceledAt": "2025-03-21T08:30:00Z",
"cancelReason": "Patient requested reschedule"
}
Cancel a scheduled appointment
curl -X POST "https://api.nevatal.com/api/v1/appointments/apt_xyz789/cancel" \
-H "Authorization: Bearer nvtl_your_api_key" \
-H "Content-Type: application/json" \
-d '{ "reason": "Patient requested reschedule" }'
{
"id": "apt_xyz789",
"status": "canceled",
"canceledAt": "2025-03-21T08:30:00Z",
"cancelReason": "Patient requested reschedule"
}
curl -X POST "https://api.nevatal.com/api/v1/appointments/apt_xyz789/cancel" \
-H "Authorization: Bearer nvtl_your_api_key" \
-H "Content-Type: application/json" \
-d '{ "reason": "Patient requested reschedule" }'
{
"id": "apt_xyz789",
"status": "canceled",
"canceledAt": "2025-03-21T08:30:00Z",
"cancelReason": "Patient requested reschedule"
}